# WOK
TKWOK
WOKDFLT

# WOKDFLT_MSDFLTExtractor Class Reference

`#include <WOKDFLT_MSDFLTExtractor.hxx>`

Inheritance diagram for WOKDFLT_MSDFLTExtractor:

[legend]

## Public Member Functions

Standard_EXPORT | WOKDFLT_MSDFLTExtractor (const Handle(TCollection_HAsciiString)&ashared, const Handle(TColStd_HSequenceOfHAsciiString)&searchlist)
Standard_EXPORT | WOKDFLT_MSDFLTExtractor (const WOKUtils_Param &params)
Standard_EXPORT WOKUtils_TimeStat | GetTypeMDate (const Handle(TCollection_HAsciiString)&atype) const
virtual Standard_EXPORT WOKBuilder_MSActionStatus | ExtractionStatus (const Handle(WOKBuilder_MSAction)&anaction)
virtual Standard_EXPORT WOKBuilder_MSActionType | ExtractorID () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetTypeDepList (const Handle(TCollection_HAsciiString)&atype) const

## Constructor & Destructor Documentation

Standard_EXPORT WOKDFLT_MSDFLTExtractor::WOKDFLT_MSDFLTExtractor | ( | const Handle(TCollection_HAsciiString)& | ashared,
|  | const Handle(TColStd_HSequenceOfHAsciiString)& | searchlist
| ) |

Standard_EXPORT WOKDFLT_MSDFLTExtractor::WOKDFLT_MSDFLTExtractor | ( | const WOKUtils_Param & | params | ) |

## Member Function Documentation

virtual Standard_EXPORT WOKBuilder_MSActionStatus WOKDFLT_MSDFLTExtractor::ExtractionStatus | ( | const Handle(WOKBuilder_MSAction)& | anaction | ) | `[virtual]`

| Reimplemented from WOKBuilder_MSExtractor.

virtual Standard_EXPORT WOKBuilder_MSActionType WOKDFLT_MSDFLTExtractor::ExtractorID | ( |  | ) | const`[virtual]`

| Implements WOKBuilder_MSExtractor.

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKDFLT_MSDFLTExtractor::GetTypeDepList | ( | const Handle(TCollection_HAsciiString)& | atype | ) | const`[private]`

Standard_EXPORT WOKUtils_TimeStat WOKDFLT_MSDFLTExtractor::GetTypeMDate | ( | const Handle(TCollection_HAsciiString)& | atype | ) | const

Standard_EXPORT const WOKDFLT_MSDFLTExtractor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_MSExtractor.

The documentation for this class was generated from the following file:

- WOKDFLT_MSDFLTExtractor.hxx